package com.dcs.equipment.service;

import com.dcs.dcs.domain.vo.DcsEquipmentFormVo;
import com.dcs.equipment.domain.InfluxDBQuery;
import com.influxdb.query.FluxTable;

import java.util.List;

/**
 * @author: wangpx
 * @date: 2025-03-22 11:08
 */
public interface InfluxDBService {
    // 保存数据到InfluxDB
    void saveDataToInfluxDB(String bucket, List<DcsEquipmentFormVo> equipmentFormVoList);
    // 使用FluxQL查询数据 返回JSON格式
    List<FluxTable> queryWithFluxQL(InfluxDBQuery query);
    // 使用Flux查询数据
    List<FluxTable> queryWithFlux(InfluxDBQuery query);
}
